<?php

namespace JimsCustomerBooking\RestfulAPI;

class NotificationController extends RestController
{
    protected string $route = 'notifications';

    public function registerRoutes(): void
    {
        register_rest_route($this->getNamespace(), $this->getRoute() . '/send-failed', [
            [
                'methods' => \WP_REST_Server::CREATABLE,
                'callback' => [$this, 'sendFailedNotifications'],
                'permission_callback' => [$this, 'checkPermissions'],
            ],
        ]);
    }

    public function sendFailedNotifications(\WP_REST_Request $request): \WP_REST_Response
    {
        return $this->response([]);
    }
}
