<?php

use JimsCustomerBooking\Helpers\FSHelper;

// phpcs:disable Generic.Files.LineLength

?><div class="step address" data-name="address" hidden>
    <!-- LOCATION INFORMATION: COUNTRY, ADDRESS -->
    <h2 class="{{prefix_class}}__step__address_heading">Please enter your address</h2>
    <p class="{{prefix_class}}__step__address_paragraph">The location of the work to be done or your location. We will find a Jim’s expert that is local to you.</p>

    <div class="{{prefix_class}}__step__address-language-switcher">
        <a class="{{prefix_class}}__step__address-country-link active">
            <div class="{{prefix_class}}__step__address-country-icon" style="background-image: url('<?= FSHelper::url('build/img/countries/au.svg'); ?>');"></div>
            <span>Australia</span>
        </a>
        <a class="{{prefix_class}}__step__address-country-link"><div class="{{prefix_class}}__step__address-country-icon" style="background-image: url('<?= FSHelper::url('build/img/countries/nz.svg'); ?>');"></div><span>New Zealand</span></a>
        <a class="{{prefix_class}}__step__address-country-link"><div class="{{prefix_class}}__step__address-country-icon" style="background-image: url('<?= FSHelper::url('build/img/countries/uk.svg'); ?>');"></div><span>United Kingdom</span></a>
        <a class="{{prefix_class}}__step__address-country-link"><div class="{{prefix_class}}__step__address-country-icon" style="background-image: url('<?= FSHelper::url('build/img/countries/ca.svg'); ?>');"></div><span>Canada</span></a>
    </div>
    <div class="{{prefix_class}}__step__address-location">
        <div class="{{prefix_class}}__step__client_information__location__address form-address-field has-icon">
            <input type="text" id="address" name="address" placeholder="Address *" autocomplete="off"
                   required>
            <div class="icon icon-country" id="jims-wpcb-form-country-icon">
                <img src="<?= FSHelper::url('build/img/icons/pin-solid.png'); ?>" class="field-loader-flag" alt="au flag">
                <img src="<?= FSHelper::url('build/img/graphics/loader.gif'); ?>" class="field-loader-icon" alt="loading">
            </div>
            <div class="{{prefix_class}}__autocomplete"></div>
            <small class="address-error-message hidden" style="color: red"></small>
        </div>
        <a class="{{prefix_class}}__step__address-manual_link">Enter address manually?</a>

        <div class="{{prefix_class}}__step__address__location__alt show">
            <div class="jims-fields">
                <div class="{{prefix_class}}__step__address__location_alt_street_number">
                    <input type="text" name="street_number" placeholder="Street Number">
                </div>
                <div class="{{prefix_class}}__step__address__location_alt_street_name">
                    <input type="text" name="street_name" placeholder="Street Name">
                </div>
                <div class="{{prefix_class}}__step__address__location_alt_suburb">
                    <input type="text" name="suburb" placeholder="Suburb">
                </div>
                <div class="{{prefix_class}}__step__address__location_alt_state">
                    <input type="text" name="state" placeholder="State">
                </div>
                <div class="{{prefix_class}}__step__address__location_alt_postcode">
                    <input type="text" name="postcode" placeholder="Postcode">
                </div>
                <div class="{{prefix_class}}__step__address__location_alt_unit_number">
                    <input type="text" name="unit_number" placeholder="Unit Number (optional)">
                </div>
            </div>
            <h2 class="{{prefix_class}}-form__heading" style="margin-bottom: 0px !important;">Exact Location on Map</h2>
            <div class="{{prefix_class}}__step__address__location__alt_map"></div>

        </div>
    </div>
</div>
