<?php

$data = wp_parse_args($data, [
    'class' => '',
    'header' => '',
    'content' => '',
    'footer' => '',
    'dismissable' => true,
    'closeLabel' => ''
]);

?><dialog class="dialog <?= $data['class']; ?> nflm">
    <form class="dialog__outer nflm">
        <?php if ($data['dismissable']) { ?>
            <button formmethod="dialog" class="button dialog__close close-button js-dialog-close is-grey has-icon is-cross" aria-label="<?= esc_attr($data['closeLabel']) ?>"></button>
        <?php } ?>

        <div class="dialog__header nflm">
            <?= $data['header']; ?>
        </div>

        <div class="dialog__content nflm">
            <?= $data['content']; ?>
        </div>

        <div class="dialog__footer nflm">
            <?= $data['footer']; ?>
        </div>
    </form>
</dialog>
