<?php

use JimsCustomerBooking\Template;

$serviceProvider = new Template('partial.service-provider-contractor');

?><div class="data-consent loader__panel nflm text-center">
    <h2 class="js-data-consent-heading fs-larger color-themed">No Franchisee Available</h2>
    <p class="balance js-data-consent-subheading">
        We don't have a Franchisee available, but we have an independent contractor "John Smith" who can give you a quote.
    </p>
    <p class="balance js-data-consent-guarantee bold color-themed" hidden>
        This contractor is backed by our Jim's $1,000 work guarantee.
    </p>

    <?= $serviceProvider->render($data, true); ?>

    <p class="js-data-consent-statement balance">
        I give my Consent for my details to be passed on to an independent contractor
    </p>
    <ul class="inline-list is-center">
        <li><button type="button" class="button is-cross is-grey js-data-consent-button has-icon" data-consent="decline">Decline</button></li>
        <li><button type="button" class="button is-tick js-data-consent-button has-icon" data-consent="accept">Accept</button></li>
    </ul>
</div>
