<?php

use JimsCustomerBooking\Helpers\FSHelper;
use JimsCustomerBooking\Template;

$used = new Template('partial.loader-used');
$dataConsent = new Template('partial.loader-data-consent');
$error = new Template('partial.loader-error');
$success = new Template('partial.loader-success');

?><div class="loader is-open is-initial-load">
    <div class="loader__loader nflm">
        <div class="loader__loader-image" aria-hidden="true">
            <img loading="lazy" src="<?= FSHelper::url('build/img/graphics/jim.svg'); ?>" alt="">
        </div>

        <h2 class="loader__loader-message js-loader-message">Loading...</h2>
    </div>

    <?= $used->render($data, true); ?>
    <?= $dataConsent->render($data, true); ?>
    <?= $error->render($data, true); ?>
    <?= $success->render($data, true); ?>
</div>
