<?php

use JimsCustomerBooking\Helpers\FSHelper;
use JimsCustomerBooking\Template;

$data = wp_parse_args($data, [
    'class' => [],
    'type' => '',
    'footer' => '',
]);

$data['class'][] = 'service-provider';

$stars = new Template('partial.stars');

?><div class="<?= implode(' ', $data['class']); ?>">
    <div class="service-provider__image">
        <img class="js-sp-image" loading="lazy" src="<?= FSHelper::url('build/img/graphics/jim.svg'); ?>" alt="">
    </div>
    <div class="service-provider__inner nflm">
        <div class="service-provider__type bold uppercase fs-smaller"><?= $data['type']; ?>:</div>
        <div class="service-provider__company js-sp-company" hidden></div>
        <div class="service-provider__name js-sp-name"></div>
        <?= $stars->render($data, true); ?>
        <?= $data['footer']; ?>
    </div>
</div>
