<?php

// phpcs:disable Generic.Files.LineLength

/**
 * @var string $css_class
 * @var string $title
 * @var array  $options
 * @var array  $pages
 * @var array  $parts
 */
$header = $parts['header'];
$footer = $parts['footer'];

?>
<script>
    window.wpcbSecret = '<?= 'admin_' . md5('admin'); ?>';
</script>

<?php if (!empty($header)) { ?>
    <?php $header->render([
        'title' => 'Subscription',
        'description' => 'This page, allows to subscribe to the WPCB email list',
        'pages' => $pages,
        'url' => get_template_directory_uri(),
    ], true); ?>
<?php } ?>


<div class="<?= $css_class; ?>">
    <section class="jims-main">
        <form id="jims-subscription-form">
            <div class="setting-group email-subscription">
                <h3>CB Subscription</h3>
                <div class="inner">
                    <label for="cb-subscription-name">Name</label>
                    <input type="text" class="widefat" id="cb-subscription-name" name="name" placeholder="Enter your name">


                    <label for="cb-subscription-email">Email</label>
                    <input type="email" class="widefat" id="cb-subscription-email" name="email" placeholder="Enter your email">
                </div>
            </div>

            <div class="button-wrapper">
                <input id="save-form" class="button button-primary" type="submit" value="Save Values">
            </div>

            <p class="message" style="color: green"></p>
        </form>
    </section>
</div>
