<?php

namespace JimsCustomerBooking\Admin\BackendPages;

use JimsCustomerBooking\Helpers\OptionHelper;

if (!class_exists('JimsCustomerBooking\Admin\BackendPages\SettingsPage')) {
    class SettingsPage extends BackendPage
    {
        public const OPTION_NAME = 'events';
        protected string $name = 'Jims WPCB';
        protected string $menu_slug = 'wpcb_settings.php';
        protected string $menu_title = 'Settings';
        protected string $template_name = 'form-events';
        protected string $menu_icon = 'dashicons-screenoptions';

        public function getContent(): void
        {
            $options = OptionHelper::get(static::OPTION_NAME, []);
        }
    }
}
