<?php

use JimsCustomerBooking\Template;

$searchForm = new Template('partial.step-search');
$searchError = 'Sorry, no division could be found for that query';

?><div class="step division nflm" data-name="divisions" hidden>
    <h2 class="step__title color-themed sr-only fs-larger js-step-title" tabindex="-1">Select a division:</h2>

    <search role="search" class="nflm">
        <?= $searchForm->render([
            'id' => 'division-search',
            'label' => 'Search for a division',
            'error' => $searchError,
        ], true); ?>

        <fieldset class="division__list nflm">
            <legend class="sr-only js-search-result-heading"
                data-default="Divisions"
                data-single="1 division found"
                data-multiple="{count} divisions found matching {query}"
            >Divisions</legend>
            <ul class="division__list-outer"></ul>
        </fieldset>
    </search>

    <div class="divisions__search-error nflm" hidden aria-hidden="true">
        <h2 class="fs-large"><?= $searchError; ?></h2>
    </div>
</div>
