<?php

$data = wp_parse_args($data, [
    'required' => false
]);

?><label class="custom-checkbox">
    <input type="checkbox" name="{{name}}" <?= $data['required'] ? 'required' : ''; ?>>
    <span class="custom-checkbox__indicator"></span>
    <span class="custom-checkbox__description">
        <?php if (!empty($data['accessibleLabel'])) { ?>
            <span class="sr-only"><?= $data['accessibleLabel']; ?></span>
            <span aria-hidden="true">{{label}}</span>
        <?php } else { ?>
            {{label}}
        <?php } ?>
    </span>
</label>
