<?php

use JimsCustomerBooking\Template;

$serviceProvider = new Template('partial.service-provider');

ob_start();

?><p class="service-provider__pill pill is-gold bold uppercase js-gold-contractor">Gold Contractor</p>
<p class="service-provider__phone js-sp-phone eta_phone bold">Will call within <span>2 hours</span></p>

<div class="details-tooltip__list">
    <details name="success-accordion" class="details-tooltip police-checked">
        <summary class="details-tooltip__toggle has-tick-before">Police Checked</summary>
        <div class="details-tooltip__content nflm">
            <p>
                A police check is issued as an official document to verify a
                background check by police or government agency to enumerate any
                criminal records a service provider may have.
            </p>
        </div>
    </details>

    <details name="success-accordion" class="details-tooltip work-guarantee">
        <summary class="details-tooltip__toggle has-tick-before"><span class="work-guarantee-amount">$1,000,000</span> Work Guarantee</summary>
        <div class="details-tooltip__content nflm work-guarantee-tooltip">
            <p>This guarantee is up to one million dollars for work done by Jim's Group Franchisees.</p>
                <p>If you are not satisfied with the job, we will inspect it and have
                any problems fixed. If we believe the job is good and you do not, we
                will jointly agree on an independent expert to provide a report at
                our expense, and fix any problems found. Until this is done, you
                need not pay for the job. If problems are not fixed within a
                fortnight, any advance will be refunded.</p>
                <p>Only if no problems are found by the expert, will you be asked to
                pay the agreed price for the job and half the cost of the report.</p>
                <p>If the job is done to get your bond back on leaving a rental
                property, the job is only considered good when the agent or landlord
                is satisfied.</p>
                <p>If payment is made in advance and the job not done, the payment will
                be refunded.</p>
        </div>
    </details>

    <details name="success-accordion" class="details-tooltip public-liability">
        <summary class="details-tooltip__toggle has-tick-before"><span class="public-liability-amount">$10,000,000</span> Public Liability</summary>
        <div class="details-tooltip__content public-liability-tooltip nflm">
            <p>A public liability policy covers damage to people or property.</p>
                <p>It is in place to protect business owners if someone sues for
                personal injury or damage to property.</p>
        </div>
    </details>

</div><?php

$footer = ob_get_clean();

// -----------------------------------------------------------------------------
// Output Service provider
// -----------------------------------------------------------------------------
echo $serviceProvider->render([
    'class' => ['loader__panel', 'js-success-fse'],
    'type' => 'Selected <span class="js-sp-type">Franchisee</span>',
    'footer' => $footer,
]);
